import {Component, OnInit, ViewChild} from '@angular/core';
import {FramePageComponent} from "../../../frame/core/page/frame.page";
import {BsModalService} from "ngx-bootstrap/modal";
import { AjaxService } from '../../../../core/service/ajax.service';
import { MsgService } from '../../../../core/service/msg.service';
import { FramePager } from '../../../../core/frame/pager/frame-pager/frame-pager';
import { FrameUpload } from 'src/app/core/frame/upload/frame-upload/frame-upload';
import { ModalService } from 'src/app/core/service/modal.service';
import { ReviewLogDetailComponent } from '../review-log-detail/review-log-detail.component';

@Component({
  selector: 'app-review-log-page',
  templateUrl: './review-log-page.component.html',
  styleUrls: ['./review-log-page.component.scss']
})
export class ReviewLogPageComponent extends FramePageComponent implements OnInit {
  @ViewChild('uploader', {static: false}) uploader: FrameUpload;
  schoolArray = [];
  batchArray = [];
  query = {
    school_id : '',
    batch_id : ''
  };

  constructor(private modalService: BsModalService) {
    super(modalService);
    this.modalComponent = ReviewLogDetailComponent;
  }


  ngOnInit() {
    this.AjaxService.requestArray('./cf/school/list.htm', {}, (array) => {
      this.schoolArray = array;
      if (this.schoolArray.length == 1) {
        this.query.school_id = this.schoolArray[0].school_id;
        this.queryBatchArray();
      } 
    });
    this.onModalClose = () => {
      this.pager.reload();
    };
  }

  queryBatchArray() {
    //查询班级老师列表
    AjaxService.requestArray("cf/batch/list.htm",{school_id: this.query.school_id},(array)=>{
      this.batchArray = array;
      if (this.batchArray.length >= 1) {
        this.query.batch_id = this.batchArray[0].batch_id;
        this.requestData();
      }
    });   
  }

  requestData() {
    //debugger;
    this.pager.pagerParams["batch_id"] = this.query.batch_id;
    this.pager.reload();
  }

}
